Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class UrlLoadConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.core.UrlLoadConfig

    public class UrlLoadConfig

extends BaseConfig

`UpdateManager` configuration class.

See Also:
  `UpdateManager.update(String, UrlLoadConfig , UrlLoadCallback, boolean)`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`UrlLoadConfig()`

Method Summary
`void` | `setCallback(UrlLoadCallback callback)` Set the callback when the XHR call is complete.
`void` | `setDiscardUrl(boolean discardUrl)` By default when you execute an update the defaultUrl is changed to the last used url.
`void` | `setNocache(boolean nocache)`
`void` | `setParams(java.lang.String params)` The parameters to pass as a url encoded string "param1=1¶m2=2"
`void` | `setParams(UrlParam[] params)` The parameters to pass.
`void` | `setScripts(boolean scripts)` Whether to execute scripts from the laoded content.
`void` | `setText(java.lang.String text)` Loading text.
`void` | `setTimeout(int timeout)` The request tiemout.
`void` | `setUrl(java.lang.String url)` The url for the request.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlLoadConfig

    public UrlLoadConfig()

Method Detail

### setUrl

    public void setUrl(java.lang.String url)

  The url for the request.

  Parameters:
    `url` - the request url

### setParams

    public void setParams(java.lang.String params)

  The parameters to pass as a url encoded string "param1=1¶m2=2"

  Parameters:
    `params` - the request parameters

### setParams

    public void setParams(UrlParam[] params)

  The parameters to pass.

  Parameters:
    `params` - the request params

### setDiscardUrl

    public void setDiscardUrl(boolean discardUrl)

  By default when you execute an update the defaultUrl is changed to the last used url. If true, it will not store the url.

  Parameters:
    `discardUrl` - true to discard url

### setCallback

    public void setCallback(UrlLoadCallback callback)

  Set the callback when the XHR call is complete.

  Parameters:
    `callback` - callback when transaction is complete

### setNocache

    public void setNocache(boolean nocache)

  Parameters:
    `nocache` - false to disable caching

### setText

    public void setText(java.lang.String text)

  Loading text.

  Parameters:
    `text` - the loading text

### setTimeout

    public void setTimeout(int timeout)

  The request tiemout.

  Parameters:
    `timeout` - request timeout

### setScripts

    public void setScripts(boolean scripts)

  Whether to execute scripts from the laoded content.

  Parameters:
    `scripts` - true to execute scripts

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD